Bagikan melalui


Information Protection Policies - List

Kebijakan perlindungan informasi dari grup manajemen tertentu.

GET https://management.azure.com/{scope}/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview

Parameter URI

Nama Dalam Diperlukan Jenis Deskripsi
scope
path True

string

Cakupan kueri, bisa langganan (/subscriptions/0b06d9ea-afe6-4779-bd59-30e5c2d9d13f) atau grup manajemen (/providers/Microsoft.Management/managementGroups/mgName).

api-version
query True

string

Versi API untuk operasi

Respons

Nama Jenis Deskripsi
200 OK

InformationProtectionPolicyList

OKE

Other Status Codes

CloudError

Respons kesalahan yang menjelaskan mengapa operasi gagal.

Keamanan

azure_auth

Alur OAuth2 Azure Active Directory

Jenis: oauth2
Alur: implicit
URL Otorisasi: https://login.microsoftonline.com/common/oauth2/authorize

Cakupan

Nama Deskripsi
user_impersonation meniru akun pengguna Anda

Contoh

Get information protection policies

Permintaan sampel

GET https://management.azure.com/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies?api-version=2017-08-01-preview

Respon sampel

{
  "value": [
    {
      "id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/effective",
      "name": "effective",
      "type": "Microsoft.Security/informationProtectionPolicies",
      "properties": {
        "labels": {
          "1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
            "displayName": "Public",
            "order": 100,
            "enabled": true
          },
          "7aa516c7-5a53-4857-bc6e-6808c6acd542": {
            "displayName": "General",
            "order": 200,
            "enabled": true
          },
          "575739d2-3d53-4df0-9042-4c7772d5c7b1": {
            "displayName": "Confidential",
            "order": 300,
            "enabled": true
          }
        },
        "informationTypes": {
          "7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
            "displayName": "Networking",
            "order": 100,
            "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
            "enabled": true,
            "custom": false,
            "keywords": [
              {
                "pattern": "%ip%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "ip%address%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "%mac%address%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "%networking%",
                "custom": true,
                "canBeNumeric": true
              }
            ]
          },
          "5856f35c-8e08-4d08-9bf7-87a146150569": {
            "displayName": "Contact Info",
            "order": 200,
            "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
            "enabled": true,
            "custom": false,
            "keywords": [
              {
                "pattern": "%email%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "%e-mail%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "%addr%",
                "custom": false,
                "canBeNumeric": false
              },
              {
                "pattern": "%street%",
                "custom": false,
                "canBeNumeric": true
              },
              {
                "pattern": "%city%",
                "custom": false,
                "canBeNumeric": false
              }
            ]
          },
          "3bf35491-99b8-41f2-86d5-c1200a7df658": {
            "displayName": "Custom",
            "order": 1400,
            "recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
            "enabled": true,
            "custom": true,
            "keywords": [
              {
                "pattern": "%networking%",
                "custom": true,
                "canBeNumeric": false
              }
            ]
          }
        }
      }
    },
    {
      "id": "/providers/Microsoft.Management/managementGroups/148059f7-faf3-49a6-ba35-85122112291e/providers/Microsoft.Security/informationProtectionPolicies/custom",
      "name": "custom",
      "type": "Microsoft.Security/informationProtectionPolicies",
      "properties": {
        "labels": {
          "1345da73-bc5a-4a8f-b7dd-3820eb713da8": {
            "displayName": "Public",
            "order": 100,
            "enabled": true
          },
          "7aa516c7-5a53-4857-bc6e-6808c6acd542": {
            "displayName": "General",
            "order": 200,
            "enabled": true
          },
          "575739d2-3d53-4df0-9042-4c7772d5c7b1": {
            "displayName": "Confidential",
            "order": 300,
            "enabled": true
          }
        },
        "informationTypes": {
          "7fb9419d-2473-4ad8-8e11-b25cc8cf6a07": {
            "displayName": "Networking",
            "order": 100,
            "recommendedLabelId": "575739d2-3d53-4df0-9042-4c7772d5c7b1",
            "enabled": true,
            "custom": false,
            "keywords": [
              {
                "pattern": "%networking%",
                "custom": true,
                "canBeNumeric": false
              }
            ]
          },
          "3bf35491-99b8-41f2-86d5-c1200a7df658": {
            "displayName": "Custom",
            "order": 1400,
            "recommendedLabelId": "7aa516c7-5a53-4857-bc6e-6808c6acd542",
            "enabled": true,
            "custom": true,
            "keywords": [
              {
                "pattern": "%custom%",
                "custom": true,
                "canBeNumeric": true
              }
            ]
          }
        }
      }
    }
  ]
}

Definisi

Nama Deskripsi
CloudError

Respons kesalahan umum untuk semua API Azure Resource Manager untuk mengembalikan detail kesalahan untuk operasi yang gagal. (Ini juga mengikuti format respons kesalahan OData.).

CloudErrorBody

Detail kesalahan.

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

InformationProtectionKeyword

Kata kunci jenis informasi.

InformationProtectionPolicy

Kebijakan perlindungan informasi.

InformationProtectionPolicyList

Respons kebijakan perlindungan informasi.

InformationType

Jenis informasi.

rank

Peringkat label sensitivitas.

SensitivityLabel

Label sensitivitas.

CloudError

Respons kesalahan umum untuk semua API Azure Resource Manager untuk mengembalikan detail kesalahan untuk operasi yang gagal. (Ini juga mengikuti format respons kesalahan OData.).

Nama Jenis Deskripsi
error.additionalInfo

ErrorAdditionalInfo[]

Info tambahan kesalahan.

error.code

string

Kode kesalahan.

error.details

CloudErrorBody[]

Detail kesalahan.

error.message

string

Pesan kesalahan.

error.target

string

Target kesalahan.

CloudErrorBody

Detail kesalahan.

Nama Jenis Deskripsi
additionalInfo

ErrorAdditionalInfo[]

Info tambahan kesalahan.

code

string

Kode kesalahan.

details

CloudErrorBody[]

Detail kesalahan.

message

string

Pesan kesalahan.

target

string

Target kesalahan.

ErrorAdditionalInfo

Info tambahan kesalahan manajemen sumber daya.

Nama Jenis Deskripsi
info

object

Info tambahan.

type

string

Jenis info tambahan.

InformationProtectionKeyword

Kata kunci jenis informasi.

Nama Jenis Deskripsi
canBeNumeric

boolean

Menunjukkan apakah kata kunci dapat diterapkan pada jenis numerik atau tidak.

custom

boolean

Menunjukkan apakah kata kunci tersebut kustom atau tidak.

excluded

boolean

Menunjukkan apakah kata kunci dikecualikan atau tidak.

pattern

string

Pola kata kunci.

InformationProtectionPolicy

Kebijakan perlindungan informasi.

Nama Jenis Deskripsi
id

string

Id Sumber Daya

name

string

Nama sumber daya

properties.informationTypes

<string,  InformationType>

Jenis informasi sensitivitas.

properties.labels

<string,  SensitivityLabel>

Kamus label sensitivitas.

properties.lastModifiedUtc

string (date-time)

Menjelaskan waktu UTC terakhir kebijakan diubah.

properties.version

string

Menjelaskan versi kebijakan.

type

string

Jenis sumber daya

InformationProtectionPolicyList

Respons kebijakan perlindungan informasi.

Nama Jenis Deskripsi
nextLink

string

URI untuk mengambil halaman berikutnya.

value

InformationProtectionPolicy[]

Daftar kebijakan perlindungan informasi.

InformationType

Jenis informasi.

Nama Jenis Deskripsi
custom

boolean

Menunjukkan apakah jenis informasi adalah kustom atau tidak.

description

string

Deskripsi jenis informasi.

displayName

string

Nama jenis informasi.

enabled

boolean

Menunjukkan apakah jenis informasi diaktifkan atau tidak.

keywords

InformationProtectionKeyword[]

Kata kunci jenis informasi.

order

integer (int32)

Urutan jenis informasi.

recommendedLabelId

string (uuid)

Id label yang direkomendasikan untuk dikaitkan dengan jenis informasi ini.

rank

Peringkat label sensitivitas.

Nilai Deskripsi
None
Low
Medium
High
Critical

SensitivityLabel

Label sensitivitas.

Nama Jenis Deskripsi
description

string

Deskripsi label sensitivitas.

displayName

string

Nama label sensitivitas.

enabled

boolean

Menunjukkan apakah label diaktifkan atau tidak.

order

integer (int32)

Urutan label sensitivitas.

rank

rank

Peringkat label sensitivitas.